DeleteFirewallRule
Deletes a DNS firewall rule. This operation cannot be undone.
Important
Route 53 Global Resolver is a global service that supports resolvers in multiple AWS Regions but you must specify the
US East (Ohio) Region to create, update, or otherwise work with Route 53 Global Resolver resources. That is, for example,
specify
--region us-east-2
on AWS CLI commands.
Request Syntax
DELETE /firewall-rules/firewallRuleId HTTP/1.1
URI Request Parameters
The request uses the following URI parameters.
- firewallRuleId
-
The unique identifier of the firewall rule to delete.
Length Constraints: Minimum length of 1. Maximum length of 64.
Pattern:
[-.a-zA-Z0-9]+Required: Yes
Request Body
The request does not have a request body.
Response Syntax
HTTP/1.1 200
Content-type: application/json
{
"action": "string",
"blockOverrideDnsType": "string",
"blockOverrideDomain": "string",
"blockOverrideTtl": number,
"blockResponse": "string",
"confidenceThreshold": "string",
"createdAt": "string",
"description": "string",
"dnsAdvancedProtection": "string",
"dnsViewId": "string",
"firewallDomainListId": "string",
"id": "string",
"name": "string",
"priority": number,
"queryType": "string",
"status": "string",
"updatedAt": "string"
}
Response Elements
If the action is successful, the service sends back an HTTP 200 response.
The following data is returned in JSON format by the service.
- action
-
The action that was configured for the deleted firewall rule.
Type: String
Valid Values:
ALLOW | ALERT | BLOCK - blockOverrideDnsType
-
The DNS record type that was configured for the deleted firewall rule's custom response.
Type: String
Valid Values:
CNAME - blockOverrideDomain
-
The custom domain that was configured for the deleted firewall rule's BLOCK response.
Type: String
Length Constraints: Minimum length of 1. Maximum length of 256.
Pattern:
\*?[a-zA-Z0-9!"#$%&'()*+,./:;<=>?@\[\\\]^_`{|}~-]+ - blockOverrideTtl
-
The TTL value that was configured for the deleted firewall rule's custom response.
Type: Integer
Valid Range: Minimum value of 0. Maximum value of 604800.
- blockResponse
-
The block response type that was configured for the deleted firewall rule.
Type: String
Valid Values:
NODATA | NXDOMAIN | OVERRIDE - confidenceThreshold
-
The confidence threshold that was configured for the deleted firewall rule's advanced threat detection.
Type: String
Valid Values:
LOW | MEDIUM | HIGH - createdAt
-
The date and time when the firewall rule was originally created.
Type: Timestamp
- description
-
The description of the deleted firewall rule.
Type: String
Length Constraints: Minimum length of 1. Maximum length of 256.
- dnsAdvancedProtection
-
Whether advanced DNS threat protection was enabled for the deleted firewall rule.
Type: String
Valid Values:
DGA | DNS_TUNNELING | DICTIONARY_DGA - dnsViewId
-
The ID of the DNS view that was associated with the deleted firewall rule.
Type: String
Length Constraints: Minimum length of 1. Maximum length of 64.
Pattern:
[-.a-zA-Z0-9]+ - firewallDomainListId
-
The ID of the firewall domain list that was associated with the deleted firewall rule.
Type: String
Length Constraints: Minimum length of 1. Maximum length of 64.
Pattern:
[-.a-zA-Z0-9]+ - id
-
The unique identifier of the deleted firewall rule.
Type: String
Length Constraints: Minimum length of 1. Maximum length of 64.
Pattern:
[-.a-zA-Z0-9]+ - name
-
The name of the deleted firewall rule.
Type: String
Length Constraints: Minimum length of 1. Maximum length of 64.
Pattern:
(?!^[0-9]+$)([a-zA-Z0-9-_/' ']+) - priority
-
The priority that was configured for the deleted firewall rule.
Type: Long
Valid Range: Minimum value of 1. Maximum value of 10000.
- queryType
-
The DNS query type that the deleted firewall rule was configured to match.
Type: String
Length Constraints: Minimum length of 0. Maximum length of 16.
- status
-
The final status of the deleted firewall rule.
Type: String
Valid Values:
CREATING | OPERATIONAL | UPDATING | DELETING - updatedAt
-
The date and time when the firewall rule was last updated before deletion.
Type: Timestamp
Errors
For information about the errors that are common to all actions, see Common Errors.
- AccessDeniedException
-
You don't have permission to perform this operation. Check your IAM permissions and try again.
HTTP Status Code: 403
- ConflictException
-
The request conflicts with the current state of the resource. This can occur when trying to modify a resource that is not in a valid state for the requested operation.
- resourceId
-
The ID of the conflicting resource.
- resourceType
-
The type of the conflicting resource.
HTTP Status Code: 409
- InternalServerException
-
An internal server error occurred. Try again later.
- retryAfterSeconds
-
Number of seconds in which the caller can retry the request.
HTTP Status Code: 500
- ResourceNotFoundException
-
The specified resource was not found. Verify the resource ID and try again.
- resourceId
-
The unique ID of the resource referenced in the failed request.
- resourceType
-
The resource type of the resource referenced in the failed request.
HTTP Status Code: 404
- ThrottlingException
-
The request was throttled due to too many requests. Wait a moment and try again.
- quotaCode
-
The quota code recognized by the AWS Service Quotas service.
- retryAfterSeconds
-
Number of seconds in which the caller can retry the request.
- serviceCode
-
The code for the AWS service that owns the quota.
HTTP Status Code: 429
- ValidationException
-
The input parameters are invalid. Check the parameter values and try again.
- fieldList
-
The list of fields that aren't valid.
- reason
-
Reason the request failed validation.
HTTP Status Code: 400
See Also
For more information about using this API in one of the language-specific AWS SDKs, see the following: